Create review rule

POST
/api/v1/review-rules

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Request body

application/json
  1. body
body*string
scopes?array<>
file?|null
status?string
One of"active""inactive"

Response body

ReviewRuleCreated

application/json
  1. response
rule*
curl -X POST 'https://api.capy.ai/api/v1/review-rules' \  -H 'Content-Type: application/json' \  -d '{  "body": "string"}'
{  "rule": {    "id": "string",    "body": "string",    "scopes": [      {        "repo": "string",        "paths": [          "string"        ],        "githubRepoId": 0,        "covered": true,        "heldByCaller": true      }    ],    "file": {      "repo": "string",      "path": "string",      "githubRepoId": 0,      "covered": true    },    "status": "active",    "source": "app",    "sourceRef": "string",    "createdByUserId": "string",    "createdByName": "string",    "firedCount": 0,    "lastFired": {      "repo": "string",      "prNumber": 0,      "at": "string"    },    "createdAt": "string",    "updatedAt": "string"  }}
Open in Capy